<?php
/**
 * @version     1.0.0
 * @package     com_docebo
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Docebo Srl. <info@docebo.com> - http://www.docebo.com
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Docebo helper.
 */
class DoceboHelper {
	/**
	 * Configure the Linkbar.
	 */
	public static function addSubmenu($vName = '') {
		JSubMenuHelper::addEntry(
			JText::_('COM_DOCEBO_TITLE_GENERALSETTINGS'),
			'index.php?option=com_docebo&view=generalsettings',
			$vName == 'generalsettings'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_DOCEBO_TITLE_LOGINS'),
			'index.php?option=com_docebo&view=logins',
			$vName == 'logins'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_DOCEBO_TITLE_SINGLESIGNONS'),
			'index.php?option=com_docebo&view=singlesignons',
			$vName == 'singlesignons'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_DOCEBO_TITLE_MYCOURSES'),
			'index.php?option=com_docebo&view=mycoursess',
			$vName == 'mycoursess'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_DOCEBO_TITLE_USERSYNCHRONIZATIONS'),
			'index.php?option=com_docebo&view=usersynchronizations',
			$vName == 'usersynchronizations'
		);
		JSubMenuHelper::addEntry(
			JText::_('COM_DOCEBO_TITLE_FAQSUPPORTS'),
			'index.php?option=com_docebo&view=faqsupports',
			$vName == 'faqsupports'
		);

	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return    JObject
	 * @since    1.6
	 */
	public static function getActions() {
		$user   = JFactory::getUser();
		$result = new JObject;

		$assetName = 'com_docebo';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}
