<?php
/**
 * Joomla! 1.6 module mod_docebo_single_signon
 * @author Docebo
 * @package Joomla
 * @subpackage Docebo_single_signon
 * @license GNU General Public License version 2 or later; see LICENSE.txt
 */
// no direct access
defined('_JEXEC') or die;
?>
<?php

$sync_scene = modDocebo_single_signonHelper::check_sync_scene();
if ($sync_scene == '0') {
	?>
	<style>
		/* --------------------------------------------------- */
		/* SSO Box preview
		/* --------------------------------------------------- */
		#docebo-sso-box {
			border-radius:         3px;
			-moz-border-radius:    3px;
			-webkit-border-radius: 3px;
		}

		#docebo-sso-box .sso-container {
			padding: 15px;
		}

		#docebo-sso-box .course-overview {
			margin: 10px 0;
		}

		#docebo-sso-box h3 {
			margin-top: 0;
			font-size:  18px;
		}

		#docebo-sso-box h4 {
			margin-top:         0;
			margin-bottom:      10px;
			font-size:          15px;
			padding-bottom:     5px;
			border-bottom:      1px solid #ccc;
			-moz-box-shadow:    0px 1px 0px #fff;
			-webkit-box-shadow: 0px 1px 0px #fff;
			box-shadow:         0px 1px 0px #fff;
		}

		#docebo-sso-box img {
			width:        50px;
			height:       50px;
			padding:      1px;
			background:   #fff;
			border:       1px solid #ccc;
			float:        left;
			margin-right: 3px;
		}

		#docebo-sso-box .new-courses {
			background:   url(<?php echo JURI::base(); ?>administrator/components/com_docebo/assets/images/icon_new_courses.png) left center no-repeat;
			padding-left: 25px;
			line-height:  24px;
		}

		#docebo-sso-box .inprogress-courses {
			background:   url(<?php echo JURI::base(); ?>administrator/components/com_docebo/assets/images/icon_in_progress.png) left center no-repeat;
			padding-left: 25px;
			line-height:  24px;
		}

		#docebo-sso-box .completed-courses {
			background:   url(<?php echo JURI::base(); ?>administrator/components/com_docebo/assets/images/icon_completed.png) left center no-repeat;
			padding-left: 25px;
			line-height:  24px;
		}

		#docebo-sso-box span.number {
			float:       right;
			font-weight: 700;
		}

		#docebo-sso-box .last-course {
			float:         left;
			width:         100%;
			margin-bottom: 35px;
		}

		#docebo-sso-box .last-course .last-course-meta {
			margin-left: 15px;
		}

		#docebo-sso-box .last-course .last-course-meta h4 {
			margin:             0 0 10px;
			font-weight:        400;
			font-size:          13px;
			border:             none;
			box-shadow:         none;
			-webkit-box-shadow: none;
			-moz-box-shadow:    none;
		}

		#docebo-sso-box .last-course .progress {
			width:      100%;
			height:     10px;
			background: #ccc;
			margin-top: 10px;
		}

		#docebo-sso-box .last-course .bar {
			height:     10px;
			background: #85b200;
		}

		a.docebo-button {
			padding:         7px 10px;
			text-decoration: none;
			font-weight:     700;
		}
	</style>
	<?php

	$user = JFactory::getUser();

	// Let's create the SSO box, first call the API
	$apiParams    = array(
		'ext_user'      => $user->get('id'),
		'ext_user_type' => 'wordpress',
	);
	$data         = ApiSingOn::call('user/getstat/', $apiParams);
	$course_block = json_decode($data);

	$joomla_username = $user->get('id');
	$button_link     = ApiSingOn::sso($joomla_username);

	//get SSO custom details from DB
	$dwp_sso_options = modDocebo_single_signonHelper::get_sso_customs();
	?>
	<!-- Generate a preview -->

	<div id="docebo-sso-box"
	     style="background: <?php echo $dwp_sso_options['background_color']; ?>; width: <?php echo $dwp_sso_options['box_width']; ?>px; min-height: <?php echo $dwp_sso_options['box_height']; ?>px; color: <?php echo $dwp_sso_options['text_color']; ?>; border: 1px solid <?php echo $dwp_sso_options['border_color']; ?>; <?php if ($dwp_sso_options['use_box_shadow'] == 'Yes') {
		     echo 'box-shadow: 0 0 8px rgba(0,0,0,0.30)';
	     } ?>">
		<div class="sso-container">
			<?php if ($dwp_sso_options['box_title']) { ?>
				<h2 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?php echo $dwp_sso_options['box_title']; ?></h2>
			<?php } ?>

			<?php if ($dwp_sso_options['intro_text']) { ?>
				<h3 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?php echo $dwp_sso_options['intro_text']; ?></h3>
			<?php } ?>

			<?php if ($dwp_sso_options['show_courses_you_are_enrolled_in']): ?>
				<div class="course-overview">
					<h4 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?=JText::_('COM_DOCEBO_FORM_LBL_SINGLESIGNON_BOX_TITLE')?></h4>
					<?php
					if (isset($course_block->user_courses)) {
						echo '<div class="new-courses">'.JText::_('COM_DOCEBO_NEW').'</span><span class="number">' . $course_block->user_courses->new_courses . '</div>';
						echo '<div class="inprogress-courses">'.JText::_('COM_DOCEBO_IN_PROGRESS').'</span><span class="number">' . $course_block->user_courses->in_progress . '</div>';
						echo '<div class="completed-courses">'.JText::_('COM_DOCEBO_COMPLETED').'</span><span class="number">' . $course_block->user_courses->completed . '</div>';
					}
					?>
				</div>
			<?php endif; ?>

			<?php if (isset($course_block->last_course) && $dwp_sso_options['show_last_attended_course']) { ?>
				<div class="last-course">
					<h4 style="color: <?php echo $dwp_sso_options['title_color']; ?>"><?=JText::_('COM_DOCEBO_SINGLESIGNONS_LAST_ATTENDED_COURSE')?></h4>
					<?php    echo '<img class="course-thumb" src="' . $course_block->last_course->course_thumbnail . '" />';
					echo '<div class="last-course-meta"><h4 style="color: ' . $dwp_sso_options['title_color'] . '">' . $course_block->last_course->course_title . '</h4>';
					echo JText::_('COM_DOCEBO_SINGLESIGNONS_COURSE_PROGRESS');
					echo '<div class="progress"><div class="bar" style="width: ' . $course_block->last_course->course_progress . '%;"></div></div></div><div class="clear"></div>'; ?>
				</div>
			<?php } ?>

			<div class="cloud-button" style="text-align: <?php echo $dwp_sso_options['button_position']; ?>;">
				<a href="<?php echo $button_link; ?>" target="_blank" class="docebo-button"
				   style="background: <?php echo $dwp_sso_options['button_background_color']; ?>; color: <?php echo $dwp_sso_options['button_text_color']; ?>; border: 1px solid <?php echo $dwp_sso_options['button_border_color']; ?>;"><?php echo($dwp_sso_options['sso_button_text'] ? $dwp_sso_options['sso_button_text'] : 'SIGN IN'); ?></a>
			</div>
		</div>
	</div>

	<!-- end #docebo-preview-panel -->
<?php
} else {
	echo '<p class="error">' . JText::_('COM_DOCEBO_MYCOURSES_NOT_ENABLED') . '</p>';
}